# Class MicroCosmEntry

java.lang.Object
org.snpeff.fileIterator.microCosm.MicroCosmEntry

public class MicroCosmEntry extends Object
Entry in a MicroCosm (miRNA target prediction) file

Author:
  pablocingolani

## Field Summary

Fields
Modifier and Type
Field
Description
`String`
`chr`
`int`
`end`
`String`
`externalName`
`String`
`feature`
`String`
`group`
`String`
`method`
`String`
`miRnaName`
`String`
`phase`
`double`
`pValue`
`double`
`score`
`int`
`start`
`String`
`strand`
`String`
`transcriptId`

## Constructor Summary

Constructors
Constructor
Description
`MicroCosmEntry()`

## Method Summary

Modifier and Type
Method
Description
`MicroRnaBindingSite`
`getMarker(Genome genome)`
Create a MicroRnaBindingSite marker
`String`
`toString()`

### Methods inherited from class Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Field Details

### group

public String group

### miRnaName

public String miRnaName

### method

public String method

### feature

public String feature

### chr

public String chr

### start

public int start

### end

public int end

### strand

public String strand

### phase

public String phase

### score

public double score

### pValue

public double pValue

### transcriptId

public String transcriptId

### externalName

public String externalName

## Constructor Details

### MicroCosmEntry

public MicroCosmEntry()

## Method Details

### getMarker

public MicroRnaBindingSite getMarker(Genome genome)
Create a MicroRnaBindingSite marker

Returns:

### toString

public String toString()

Overrides:
  `toString` in class `Object`